import request from '@/utils/request'

// 查询退款订单列表
export function listRefund(query) {
  return request({
    url: '/system/refund/list',
    method: 'get',
    params: query
  })
}

// 查询退款订单详细
export function getRefund(id) {
  return request({
    url: '/system/refund/' + id,
    method: 'get'
  })
}

// 新增退款订单
export function addRefund(data) {
  return request({
    url: '/system/refund',
    method: 'post',
    data: data
  })
}

// 修改退款订单
export function updateRefund(data) {
  return request({
    url: '/system/refund',
    method: 'put',
    data: data
  })
}

// 删除退款订单
export function delRefund(id) {
  return request({
    url: '/system/refund/' + id,
    method: 'delete'
  })
}
